/* 
 *  File wls.cpp : compte the WLS filter on one image
 *  
 *  Syntaxe : ./bilat <image> sigmaR <NomFichierRes>(OPT)
 */



#include <iostream>
#include <string>
#include <cmath>
#include <X11/Xlib.h>
#include <X11/Xutil.h>
#include "CImg-1.3.0/CImg.h"

using namespace cimg_library;
using namespace std;


int main(int argc, char* argv[]) {
  CImg<double> image(argv[1]);
  CImg<double> imageres(image);
  float sigs;
  if (image.dimx()<=image.dimy())
    sigs = image.dimx();
  else
    sigs = image.dimy();
  sigs/=16;
  float sigr = atof(argv[2]);


  imageres = imageres.get_blur_bilateral(sigs,sigr,-30,30,true);

  imageres.display();
  
  if (argc == 4)
    
    imageres.save(argv[3],-1);
  
  ~image;
  ~imageres;
  return 0;
}

